Commit 8ae5ac48 authored by Hermann Krumrey's avatar Hermann Krumrey

Fix required subparser issues on python < 3.7

parent 30c0d21a
......@@ -41,7 +41,8 @@ def define_parser() -> argparse.ArgumentParser:
"""
parser = argparse.ArgumentParser()
argparse_add_verbosity(parser)
command_parser = parser.add_subparsers(required=True, dest="command")
command_parser = parser.add_subparsers(dest="command")
command_parser.required = True
for command_cls in toktokkie_commands:
subparser = command_parser.add_parser(command_cls.name())
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment